<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Table and Form</title>
</head>
<body>
	<header>
		<h1>HTML Table and Form</h1>
	</header>
	<main>
		
		<section>
			<h2>HTML entities</h2>
			<p><em>Reserved Characters in HTML (e.g. &lt; &gt; characters that can mix up with HTML code)</em></p>
		</section>

		<table border="1">

			<thead>
				<tr>
					<th colspan="2">Entity</th>
					<th>Description</th>

				</tr>	
			</thead>

			<tbody>
				<tr>
					<td>&lt;</td>
					<td>lt</td>
					<td>less than</td>
				</tr>
				<tr>
					<td>&gt;</td>
					<td>gt</td>
					<td>greater than</td>
				</tr>
				<tr>
					<td>&#8369;</td>
					<td>#8369</td>
					<td>Peso Sign</td>
				</tr>
				<tr>
					<td>&amp;</td>
					<td>amp</td>
					<td>ampersand</td>
				</tr>
				<tr>
					<td>&quot;</td>
					<td>quot</td>
					<td>double quotation mark</td>
				</tr>
				<tr>
					<td>&apos;</td>
					<td>apos</td>
					<td>single quotation mark(apostrophe)</td>
				</tr>
				<tr>
					<td>&ntilde;</td>
					<td>ntilde</td>
					<td>Lower Tilde</td>
				</tr>
				<tr>
					<td>&Ntilde;</td>
					<td>Ntilde</td>
					<td>Upper Tilde</td>
				</tr>
			</tbody>

			<tfoot>
				<tr>
					<th colspan="3">List of html entities</th>
				</tr>
			</tfoot>
		</table>

		<section>
			<h2>HTML Forms</h2>
			<p><em>Input elements that make up form</em></p>

			<form action="https://google.com/">
				<label for="full_name">Full Name:</label><br>
				<input type="text" name="full_name" id="full_name" required><br>
				<label for="birth_date">Birth Date:</label><br>
				<input type="date" name="birth_date" id="birth_date" required><br>
				<label for="age">Age</label><br>
				<input type="number" name="age" id="age" required=""><br>
				<label for="gender">Gender:</label><br>
				<select name="gender" id="gender">
					<option value="">--Select Gender--</option>
					<option value="male">Male</option>
					<option value="female">Female</option>
				</select><br>
				<label for="notes">Notes:</label><br>
				<textarea rows="8" name="notes" id="notes"></textarea><br>

				<label>New User:</label><br>
				<input type="radio" name="new_user" id="user_type1" value="yes">
				<label for="user_type1">Yes</label><br>
				<input type="radio" name="new_user" id="user_type2" value="no">
				<label for="user_type2">No</label><br>

				<label>Role:</label><br>
				<input type="checkbox" name="role1" value="developer" id="role1">
				<label for="role1">developer</label><br>
				<input type="checkbox" name="role2" value="student" id="role2">
				<label for="role2">Student</label><br>
				<input type="checkbox" name="role3" value="manager" id="role3">
				<label for="role3">Manager</label><br><br>

				<button type="submit">Submit</button><br>
				<button type="reset">Reset</button><br>
				

			</form>
		</section>

	</main>

</body>
</html>